You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     g...@freebsd.org
Last committer: g...@freebsd.org
Ident:          $FreeBSD: head/graphics/hugin/Makefile 402255 2015-11-23 
02:47:23Z grog $
Log URL:        
http://beefy5.nyi.freebsd.org/data/101i386-default/402415/logs/hugin-2015.0.0_4.log
Build URL:      
http://beefy5.nyi.freebsd.org/build.html?mastername=101i386-default&build=402415
Log:

====>> Building graphics/hugin
build started at Thu Nov 26 01:19:51 UTC 2015
port directory: /usr/ports/graphics/hugin
building for: FreeBSD 101i386-default-job-12 10.1-RELEASE-p24 FreeBSD 
10.1-RELEASE-p24 i386
maintained by: g...@freebsd.org
Makefile ident:      $FreeBSD: head/graphics/hugin/Makefile 402255 2015-11-23 
02:47:23Z grog $
Poudriere version: 3.1.10
Host OSVERSION: 1100085
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RELEASE-p24
UNAME_r=10.1-RELEASE-p24
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=hugin-2015.0.0_4
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/101i386-default/ref/.p/pool
MASTERNAME=101i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for hugin-2015.0.0_4:
     AUTOPANOSIFTC=on: Install graphics/autopano-sift-c
     PANOMATIC=on: Install graphics/panomatic
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/hugin/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/hugin/work  
HOME=/wrkdirs/usr/ports/graphics/hugin/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/hugin/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/hugin/work  
HOME=/wrkdirs/usr/ports/graphics/hugin/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd10
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VERSION=python2.7
PYTHON_VER=2.7
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/hugin"
EXAMPLESDIR="share/examples/hugin"
DATADIR="share/hugin"
WWWDIR="www/hugin"
ETCDIR="etc/hugin"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/hugin
DOCSDIR=/usr/local/share/doc/hugin
EXAMPLESDIR=/usr/local/share/examples/hugin
WWWDIR=/usr/local/www/hugin
ETCDIR=/usr/local/etc/hugin
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   hugin-2015.0.0_4 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[101i386-default-job-12] Installing pkg-1.6.2...
[101i386-default-job-12] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   hugin-2015.0.0_4 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of hugin-2015.0.0_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by hugin-2015.0.0_4 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by hugin-2015.0.0_4 for building
=> SHA256 Checksum OK for hugin-2015.0.0.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by hugin-2015.0.0_4 for building
===>  Extracting for hugin-2015.0.0_4
=> SHA256 Checksum OK for hugin-2015.0.0.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for hugin-2015.0.0_4
===>  Applying FreeBSD patches for hugin-2015.0.0_4
===========================================================================
=======================<phase: build-depends  >============================
===>   hugin-2015.0.0_4 depends on executable: swig2.0 - not found
===>   Installing existing package /packages/All/swig-2.0.12_1.txz
[101i386-default-job-12] Installing swig-2.0.12_1...
[101i386-default-job-12] `-- Installing lua51-5.1.5_9...
[101i386-default-job-12] |   `-- Installing libedit-3.1.20150325_1...
[101i386-default-job-12] |   `-- Extracting libedit-3.1.20150325_1: .......... 
done
[101i386-default-job-12] `-- Extracting lua51-5.1.5_9: .......... done
[101i386-default-job-12] `-- Installing pcre-8.37_4...
[101i386-default-job-12] `-- Extracting pcre-8.37_4: .......... done
[101i386-default-job-12] Extracting swig-2.0.12_1: .......... done
===>   hugin-2015.0.0_4 depends on executable: swig2.0 - found
===>   Returning to build of hugin-2015.0.0_4
===>   hugin-2015.0.0_4 depends on package: tclap>=1.2.1 - not found
===>   Installing existing package /packages/All/tclap-1.2.1_1.txz
[101i386-default-job-12] Installing tclap-1.2.1_1...
[101i386-default-job-12] Extracting tclap-1.2.1_1: .......... done
===>   hugin-2015.0.0_4 depends on package: tclap>=1.2.1 - found
===>   Returning to build of hugin-2015.0.0_4
===>   hugin-2015.0.0_4 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.3.1.txz
[101i386-default-job-12] Installing cmake-3.3.1...
[101i386-default-job-12] `-- Installing expat-2.1.0_3...
[101i386-default-job-12] `-- Extracting expat-2.1.0_3: .......... done
[101i386-default-job-12] `-- Installing cmake-modules-3.3.1...
[101i386-default-job-12] `-- Extracting cmake-modules-3.3.1: .......... done
[101i386-default-job-12] `-- Installing curl-7.45.0...
[101i386-default-job-12] |   `-- Installing ca_root_nss-3.20.1...
[101i386-default-job-12] |   `-- Extracting ca_root_nss-3.20.1: ....... done
[101i386-default-job-12] `-- Extracting curl-7.45.0: .......... done
[101i386-default-job-12] `-- Installing libarchive-3.1.2_4,1...
[101i386-default-job-12] |   `-- Installing lzo2-2.09...
[101i386-default-job-12] |   `-- Extracting lzo2-2.09: .......... done
[101i386-default-job-12] `-- Extracting libarchive-3.1.2_4,1: .......... done
[101i386-default-job-12] `-- Installing jsoncpp-0.6.0.r2_2...
[101i386-default-job-12] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[101i386-default-job-12] Extracting cmake-3.3.1: .......... done
Message from ca_root_nss-3.20.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
<snip>
===>   Installing existing package /packages/All/freeglut-2.8.1_4.txz
[101i386-default-job-12] Installing freeglut-2.8.1_4...
[101i386-default-job-12] Extracting freeglut-2.8.1_4: .......... done
Message from freeglut-2.8.1_4:
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   hugin-2015.0.0_4 depends on shared library: libglut.so - found 
(/usr/local/lib/libglut.so)
===>   Returning to build of hugin-2015.0.0_4
===>   hugin-2015.0.0_4 depends on shared library: libwx_baseu-2.8.so - not 
found
===>   Installing existing package /packages/All/wx28-gtk2-2.8.12_6.txz
[101i386-default-job-12] Installing wx28-gtk2-2.8.12_6...
[101i386-default-job-12] `-- Installing libmspack-0.5...
[101i386-default-job-12] `-- Extracting libmspack-0.5: ......... done
[101i386-default-job-12] `-- Installing gstreamer-plugins-0.10.36_6,3...
[101i386-default-job-12] |   `-- Installing orc-0.4.24_1...
[101i386-default-job-12] |   `-- Extracting orc-0.4.24_1: .......... done
[101i386-default-job-12] |   `-- Installing gstreamer-0.10.36_4...
[101i386-default-job-12] |   | `-- Installing gobject-introspection-1.44.0...
[101i386-default-job-12] |   | `-- Extracting gobject-introspection-1.44.0: 
.......... done
[101i386-default-job-12] |   `-- Extracting gstreamer-0.10.36_4: .......... done
[101i386-default-job-12] `-- Extracting gstreamer-plugins-0.10.36_6,3: 
.......... done
[101i386-default-job-12] `-- Installing ORBit2-2.14.19_1...
[101i386-default-job-12] |   `-- Installing libIDL-0.8.14_2...
[101i386-default-job-12] |   `-- Extracting libIDL-0.8.14_2: ......... done
[101i386-default-job-12] `-- Extracting ORBit2-2.14.19_1: .......... done
[101i386-default-job-12] `-- Installing gconf2-3.2.6_4...
[101i386-default-job-12] |   `-- Installing polkit-0.113_1...
[101i386-default-job-12] |   | `-- Installing spidermonkey170-17.0.0_1...
[101i386-default-job-12] |   |   `-- Installing nspr-4.10.10_1...
[101i386-default-job-12] |   |   `-- Extracting nspr-4.10.10_1: .......... done
[101i386-default-job-12] |   | `-- Extracting spidermonkey170-17.0.0_1: 
.......... done
[101i386-default-job-12] |   | `-- Installing dbus-1.8.20...
[101i386-default-job-12] |   |   `-- Installing gnome_subr-1.0...
[101i386-default-job-12] |   |   `-- Extracting gnome_subr-1.0: . done
===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
[101i386-default-job-12] |   | `-- Extracting dbus-1.8.20: .......... done
===> Creating users and/or groups.
Creating group 'polkitd' with gid '565'.
Creating user 'polkitd' with uid '565'.
[101i386-default-job-12] |   `-- Extracting polkit-0.113_1: .......... done
[101i386-default-job-12] |   `-- Installing dconf-0.24.0_1...
[101i386-default-job-12] |   `-- Extracting dconf-0.24.0_1: .......... done
[101i386-default-job-12] |   `-- Installing dbus-glib-0.104...
[101i386-default-job-12] |   `-- Extracting dbus-glib-0.104: .......... done
[101i386-default-job-12] `-- Extracting gconf2-3.2.6_4: .......... done
[101i386-default-job-12] `-- Installing pangox-compat-0.0.2_1...
[101i386-default-job-12] `-- Extracting pangox-compat-0.0.2_1: ....... done
[101i386-default-job-12] `-- Installing wx28-gtk2-common-2.8.12_6...
[101i386-default-job-12] `-- Extracting wx28-gtk2-common-2.8.12_6: .......... 
done
[101i386-default-job-12] Extracting wx28-gtk2-2.8.12_6: .......... done
===>   hugin-2015.0.0_4 depends on shared library: libwx_baseu-2.8.so - found 
(/usr/local/lib/libwx_baseu-2.8.so)
===>   Returning to build of hugin-2015.0.0_4
===>   hugin-2015.0.0_4 depends on shared library: libatk-1.0.so - found 
(/usr/local/lib/libatk-1.0.so)
===>   hugin-2015.0.0_4 depends on shared library: libgdk_pixbuf-2.0.so - found 
(/usr/local/lib/libgdk_pixbuf-2.0.so)
===>   hugin-2015.0.0_4 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   hugin-2015.0.0_4 depends on shared library: libpango-1.0.so - found 
(/usr/local/lib/libpango-1.0.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for hugin-2015.0.0_4
===>  Performing in-source build
/bin/mkdir -p /wrkdirs/usr/ports/graphics/hugin/work/hugin-2015.0.0
-- The C compiler identification is Clang 3.4.1
-- The CXX compiler identification is Clang 3.4.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Current HG revision is cdefc6e53a58
-- Assuming this is a tarball (release) build for 2015.0.0
-- Looking for log2
-- Looking for log2 - found
-- Found wxWidgets: TRUE  
-- Found TIFF: /usr/local/include
-- Found JPEG: /usr/local/include
-- Found ZLIB: /usr/include
-- Found PNG: /usr/local/include
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- Found OPENEXR: 
/usr/local/lib/libImath-2_2.so;/usr/local/lib/libIlmImf.so;/usr/local/lib/libIex-2_2.so;/usr/local/lib/libHalf.so;/usr/local/lib/libIlmThread-2_2.so
-- Found VIGRA: /usr/local/lib/libvigraimpex.so
-- VIGRA version: 1.10.0
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- Found Exiv2 release >= 0.12
-- Found Exiv2: /usr/local/lib/libexiv2.so
-- Found OpenGL: /usr/local/lib/libGL.so  
-- GLUT Found
-- Found Glew: /usr/local/lib/libGLEW.so
-- libpano13 version: 2.9.19
-- Performing Test CXX11_FLAG_DETECTED
-- Performing Test CXX11_FLAG_DETECTED - Failed
-- Performing Test CXX11_FLAG_DETECTED
-- Performing Test CXX11_FLAG_DETECTED - Success
-- Found CXX11Compiler: --std=c++11
-- Performing Test CXX11_THREAD_TEST1
-- Performing Test CXX11_THREAD_TEST1 - Failed
-- Looking for include file pthread.h
-- Looking for include file pthread.h - not found
-- Could NOT find Threads (missing:  Threads_FOUND) 
-- Performing Test CXX11_THREAD_TEST2
-- Performing Test CXX11_THREAD_TEST2 - Failed
-- Performing Test CXX11_THREAD_TEST3
-- Performing Test CXX11_THREAD_TEST3 - Success
-- Using C++11 std::thread
-- Boost version: 1.55.0
-- Found the following Boost libraries:
--   filesystem
--   system
-- flann library not found. falling back to included copy
-- Found FFTW: /usr/local/include
-- Found FFTW library. Activated support for FFT fast cross correlation used by 
fine-tune feature.
-- Try OpenMP C flag = [ ]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-fopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [/openmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-Qopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-openmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-xopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [+Oopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-qsmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP C flag = [-mp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [ ]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-fopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [/openmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-Qopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-openmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-xopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [+Oopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-qsmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Try OpenMP CXX flag = [-mp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Failed
-- Could NOT find OpenMP (missing:  OpenMP_C_FLAGS OpenMP_CXX_FLAGS) 
CMake Warning at CMakeLists.txt:362 (MESSAGE):
  Compiler does not support OpenMP.  OpenMP is required for multi-threaded
  processes.  So only single threaded execution is compiled now.


CMake Error at CMakeModules/FindPackageHandleStandardArgs.cmake:51 (MESSAGE):
  Could not find REQUIRED package SQLite3
Call Stack (most recent call first):
  CMakeModules/FindSQLite3.cmake:19 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  CMakeLists.txt:373 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/graphics/hugin/work/hugin-2015.0.0/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/graphics/hugin/work/hugin-2015.0.0/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/hugin
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to